org.apache.avro.hadoop.io

## Class AvroDatumConverterFactory.FloatWritableConverter

- java.lang.Object
- - org.apache.avro.hadoop.io.AvroDatumConverter<FloatWritable,Float>
  - - org.apache.avro.hadoop.io.AvroDatumConverterFactory.FloatWritableConverter

Enclosing class:
  AvroDatumConverterFactory

    public static class AvroDatumConverterFactory.FloatWritableConverter
    extends AvroDatumConverter<FloatWritable,Float>

Converts FloatWritables into Floats.

### Constructor Summary

Constructors
Constructor and Description
`FloatWritableConverter()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Float` `convert(FloatWritable input)`
`org.apache.avro.Schema` `getWriterSchema()` Gets the writer schema that should be used to serialize the output Avro datum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatWritableConverter

    public FloatWritableConverter()

Constructor.

### Method Detail

#### convert

    public Float convert(FloatWritable input)

Specified by:
  `convert` in class `AvroDatumConverter<FloatWritable,Float>`

#### getWriterSchema

    public org.apache.avro.Schema getWriterSchema()

Gets the writer schema that should be used to serialize the output Avro datum.

Specified by:
  `getWriterSchema` in class `AvroDatumConverter<FloatWritable,Float>`
Returns:
  The writer schema for the output Avro datum.